function [time, S] = Spectral_Cyclic_old(C, m)

[N, ~] = size(C);
d = 2;
n = N/d;

time_start = tic;
[S,~] = eigs(C,d);

for i = 1:n
    S( (i-1)*d+1:i*d , : ) = Proj_Cyclic( S((i-1)*d+1:i*d,:), m);
end

% S = S*S(1:d,:)';
time = toc(time_start);
end